%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pip-tools
Version:       7.4.1
Release:       1mamba
Summary:       pip-tools keeps your pinned dependencies fresh
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/jazzband/pip-tools/
Source:        https://pypi.debian.net/pip-tools/pip-tools-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(build)
BuildRequires: python3.11dist(click)
BuildRequires: python3.11dist(pip)
BuildRequires: python3.11dist(pyproject-hooks)
BuildRequires: python3.11dist(setuptools)
BuildRequires: python3.11dist(wheel)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pip-tools-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/pip-{compile,sync}; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/pip-compile*
%{_bindir}/pip-sync*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/piptools
%{python_sitelib}/piptools/*
%doc LICENSE

%changelog
* Wed Mar 06 2024 Automatic Build System <autodist@openmamba.org> 7.4.1-1mamba
- automatic version update by autodist

* Sat Feb 17 2024 Automatic Build System <autodist@openmamba.org> 7.4.0-1mamba
- automatic version update by autodist

* Wed Nov 08 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 7.3.0-1mamba
- package created using the webbuild interface
